#ifndef VIDEO_LOW_H
#define VIDEO_LOW_H

extern void MyPrint(const char *String, U16 Xoffset, U16 Yoffset, U8 Scaling);
extern void DrawVertLine(U32 x, S32 y, U32 Height, COLOUR_TYPE Colour, U8 Scaling);
extern void DrawHorzLine(U32 x, S32 y, U32 Width, COLOUR_TYPE Colour, U8 Scaling);
extern void DrawRec(U32 x, S32 y, U32 Width, U32 Height, COLOUR_TYPE Colour, U8 Scaling);
extern void DrawBmp(U8 *pSource, U32 BitMapWidth, U32 BitMapHeight, U8 BytesPerPixel, U8 Padding, U8 Scaling);
extern U8 InitSDLScreenBuf(S32 Width, S32 Height);
extern void Redraw(void);
extern void DrawPic(U16 X, U16 Y, GRAPHICS_TYPE PicNum, U8 Scaling);
extern void ScaleSprites(U8 NumSprites, U8 Scaling);
extern void CloseSDL(void);
extern void DrawBackGround(void);

#endif
