#include <stdio.h>
#include <stdlib.h>
#include "types.h"

/* defines */

/* None */

/* external variables */

extern const PIC_TYPE Inter1;
extern const PIC_TYPE StatusBar;
extern const PIC_TYPE Zero;
extern const PIC_TYPE One;
extern const PIC_TYPE Two;
extern const PIC_TYPE Three;
extern const PIC_TYPE Four;
extern const PIC_TYPE Five;
extern const PIC_TYPE Six;
extern const PIC_TYPE Seven;
extern const PIC_TYPE Eight;
extern const PIC_TYPE Nine;
extern const PIC_TYPE Colon;
extern const PIC_TYPE SCP;

/* global variables */

/* None */

/* local variables */

const PIC_TYPE *Pics[NumberPics];

/* local prototypes */

/* None */

/*
===============================================================================
 \brief Inits Pics pointers to correct locations
 \param None
 \return None
===============================================================================
*/
void InitGraphics(void)
{
    Pics[InterRimPic1] = &Inter1;
    Pics[StatusBarPic] = &StatusBar;
    Pics[ColonPic] = &Colon;
    Pics[NumZeroPic] = &Zero;
    Pics[NumOnePic] = &One;
    Pics[NumTwoPic] = &Two;
    Pics[NumThreePic] = &Three;
    Pics[NumFourPic] = &Four;
    Pics[NumFivePic] = &Five;
    Pics[NumSixPic] = &Six;
    Pics[NumSevenPic] = &Seven;
    Pics[NumEightPic] = &Eight;
    Pics[NumNinePic] = &Nine;
    Pics[SCPPic] = &SCP;                
}
